Subject: Re: Editorial corrections [Was: Re: [Fwd: I-D ACTION:draft-ietf-sacred-protocol-bss-03.txt]]

From: Stephen Farrell <[email-masked]>
Date: Fri, 01 Nov 2002 11:11:37 +0000

Almost entirely for the record. I disagree with three of
'em.

"Nystrom, Magnus" wrote:
> 
> Stephen,
> 
> Here are a some comments for you, I regard all of these as editorial.
> 
> -Missing plate-holder text about the use of key words "MUST",
>  "SHOULD", etc.
> 
>  Reason: Required text.

Done.

> 
> -Section 1, first sentence: Replace "PKCS#15 structures" with "PKCS
>  #15 [PKCS15] structures".
> 
>  Reason: Correct spelling, reference the document itself (it is
>  already in the "References" section).

Done.

> 
> -Section 1, first sentence: Replace "from a workstation" with "from a
>  credential server, using a workstation"
> 
>  Reason: Clarity.

Done.

> -Section 1, penultimate paragraph: Replace "OPTIONAL" with
>  "optional".
> 
>  Reason: No need for key words in an informational "Introduction"
>  section (requirements on implementations follow from the protocol section
>  anyway).

Ok. Still says OPTIONAL in section 2 anyway.

> 
> -Section 2, second paragraph: Replace "which are based on XML" with
>  "which are described in XML".
> 
>  Reason: The schema is conformant to the XML Recommendation, not based on
>  it (I also suggest adding a reference to the W3C XML Recommendation
>  here).

Ok. Added the same referece to xml schema as is used by xmldsig which is 
already a normative referfence for us and therefore shouldn't cause
any new versioning issues. That reference is:

   [XML-schema] - XML Schema Part 1: Structures D. Beech, M. Maloney, N.
   Mendelsohn, and H. Thompson. W3C Recommendation, May 2001.  Available
   at http://www.w3.org/TR/2001/REC-xmlschema-2-20010502/

> 
> -Section 2.1.1, first sentence: Suggest replacing current text with:
>  "This operation does not require authentication."
> 
>  Reason: Clarity. The current use of the key word "REQUIRE" simply does
>  not match its intended use in RFC 2119.

Ok, but capatalised to "This operation does NOT REQUIRE authentication."
which should meaningful in 2119 terms (and isn't a problem if it
isn't).

> 
> -Section 2.1.2, second paragraph: Replace "SASL mechanism used" with
>  "SASL [SASL] mechanism used."
> 
>  Reason: Reference the SASL document (already in the "References"
>  section), period missing.

Done.

> 
> -Section 2.1.3, last sentence: Remove.
> 
>  Reason: Not needed. Sentence is already in the previous paragraph.

Nope. The "MUST" is needed (to match end user expectations). I think
its fine as is.

> 
> -Section 2.3.3, first paragraph: Suggest replacing all use of
>  ds:CryptoBinary with base64Binary, here and in the schema.
> 
>  Reason: ds:Cryptobinary apparently strips off leading zeros. It is
>  used only twice in the schema, but one of these usages
>  <PasswordVerifier> is apparently wrong since a password verifier is
>  the output of a digest operation and this may well have leading
>  zeros. The introduction of the ds:CryptoBinary type therefore does
>  not seem to add much to this memo since it is used only for one type
>  which just as well could have been defined using the base64Binary.

Done.

> 
> -Section 2.3.3, second paragraph: Replace "This extensibility scheme like
>  that used..." with "This extensibility scheme is similar to..."
> 
>  Reason: Could not understand current text...

Done.

> 
> -Section 2.3.4: Replace "pkcs#15" with "PKCS #15"
> 
>  Reason: Consistency.

Done.

> 
> -Section 3.1, the example: Replace the "<![CDATA..." text with
>  something simpler, e.g. "<sacred:DownloadRequest.../>"
> 
>  Reason: We use an XML schema, not a DTD to define the protocol. This
>  is the only place where CDATA is used in this memo.

Nope. But I'll happily apply a concrete suggested change so long as
Marshall doesn't have any BEEP problems, i.e. no change made for now.

> 
> -"References" section: Suggest replacing "[BEEP]" with "[RFC3080]"
>  etc. for all RFC references.
> 
>  Reason: Consistency. Already a couple of RFCs are referenced this
>  way. All or none!

"Consistency is the last refuge of the unimaginative" 
    -- Oscar Wilde 

I.e Nope :-)

Stephen.

-- 
____________________________________________________________
Stephen Farrell         				   
Baltimore Technologies,   tel: (direct line) +353 1 881 6716
39 Parkgate Street,                     fax: +353 1 881 7000
Dublin 8.                mailto:[email-masked]
Ireland                             http://www.baltimore.com

---

From: "Nystrom, Magnus" <[email-masked]>
Date: Fri, 1 Nov 2002 12:32:03 +0100 (W. Europe Standard Time)

We're getting there (I think)...

-- Magnus

On Fri, 1 Nov 2002, Stephen Farrell wrote:

[...]
> "Nystrom, Magnus" wrote:

[...]
> Nope. The "MUST" is needed (to match end user expectations). I think

Sorry, meant Section 2.1.4.

> Marshall doesn't have any BEEP problems, i.e. no change made for now.

Marshall, does BEEP require sending of the "![CDATA..." ?

-- Magnus

---

From: Stephen Farrell <[email-masked]>
Date: Fri, 01 Nov 2002 11:47:12 +0000

> Sorry, meant Section 2.1.4.

Ahh, I see. Done then.

> Marshall, does BEEP require sending of the "![CDATA..." ?

Nothing for me there:-)

Stephen.